## Zabbix agent
apiVersion: apps/v1
kind: StatefulSet
metadata:
  namespace: monitoring
  labels:
    app: zabbix-agent
    app.kubernetes.io/name: zabbix-agent
  name: zabbix-agent
spec:
  serviceName: "zabbix-agent"
  replicas: 1
  selector:
    matchLabels:
      app: zabbix-agent
      app.kubernetes.io/name: zabbix-agent
  template:
    metadata:
      labels:
        app: zabbix-agent
        app.kubernetes.io/name: zabbix-agent
    spec:
      containers:
        - env:
            - name: ZBX_HOSTNAME
              valueFrom:
                configMapKeyRef:
                  key: ZBX_HOSTNAME
                  name: zabbix-app
            - name: ZBX_SERVER_HOST
              valueFrom:
                configMapKeyRef:
                  key: ZBX_SERVER_HOST
                  name: zabbix-app
            - name: ZBX_ENABLEPERSISTENTBUFFER
              valueFrom:
                configMapKeyRef:
                  key: ZBX_ENABLEPERSISTENTBUFFER
                  name: zabbix-app
            - name: ZBX_DEBUGLEVEL
              valueFrom:
                configMapKeyRef:
                  key: ZBX_DEBUGLEVEL
                  name: zabbix-app
          image: zabbix/zabbix-agent2
          name: zabbix-agent2
          ports:
            - containerPort: 10050
          resources: {}
          securityContext:
            privileged: true
          volumeMounts:
            - name: zabbix-buffer
              mountPath: /var/lib/zabbix/buffer
      volumes:
        - name: zabbix-buffer
          emptyDir: {}

## Service
---
apiVersion: v1
kind: Service
metadata:
  namespace: monitoring
  labels:
    app: zabbix-agent
    app.kubernetes.io/name: zabbix-agent
  name: zabbix-agent
spec:
  type: NodePort
  ports:
    - name: "zabbix-agent"
      port: 10050
      targetPort: 10050
      nodePort: 30050
  selector:
    app: zabbix-agent
    app.kubernetes.io/name: zabbix-agent
## PersistentVolumeClaim
---
#apiVersion: v1
#kind: PersistentVolumeClaim
#metadata:
#  namespace: monitoring
#  labels:
#    zabbix-app: zabbix-agent
#  name: zabbix-agent-claim
#spec:
#  accessModes:
#    - ReadOnlyMany
#  resources:
#    requests:
#      storage: 100Mi
